Package uk.ac.starlink.task

## Class AbortException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - uk.ac.starlink.task.TaskException
      - - uk.ac.starlink.task.AbortException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class AbortException
      extends TaskException

  Exception generated when the user signals an intention to abort a task.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbortException()` |
    `AbortException​(java.lang.String msg)` |
    `AbortException​(java.lang.String msg, java.lang.Throwable cause)` |
    `AbortException​(java.lang.Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbortException

          public AbortException()

    - #### AbortException

          public AbortException​(java.lang.String msg)

    - #### AbortException

          public AbortException​(java.lang.String msg,
                                java.lang.Throwable cause)

    - #### AbortException

          public AbortException​(java.lang.Throwable cause)